PDA

Visualizza la versione completa : installare Inkscape 0.42


var
22-08-2005, 16:25
salve a tutti,

ho in mente di installare la versione 0.42 di Inkscape sotto Ubuntu.
bene, scarico questo file (http://prdownloads.sourceforge.net/inkscape/inkscape-0.42.tar.gz?download), lo decomprimo, e mi porto nella sua cartella per dare un ./configure.
dopo qualche secondo ottengo:


configure: error: libgc (the Boehm Conservative Collector) 6.4+, is needed to compile inkscape -- http://www.hpl.hp.com/personal/Hans_Boehm/gc

bene, vado sul sito indicato e scarico questo file (http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc6.5.tar.gz), lo decomprimo, mi porto nella sua cartella e do':



./configure
make
make check
make install


senza ottenere errori (almeno questo e' quello che mi sembra).

tornando sul ./configure di Inkscape, pero', ottengo il medesimo messaggio di prima: da cosa potrebbe dipendere?

grazie. :)

Guglie
22-08-2005, 16:29
da pazzi pretendere di avere un sistema operativo pulito se si installano i programmi con make install e si risolvono le dipendenze a mano..
se usi ubuntu usa anche il suo gestore di pacchetti, se invece ti piace compilare usa gentoo

var
22-08-2005, 16:33
Originariamente inviato da Guglie
da pazzi pretendere di avere un sistema operativo pulito se si installano i programmi con make install e si risolvono le dipendenze a mano..
se usi ubuntu usa anche il suo gestore di pacchetti, se invece ti piace compilare usa gentoo

allora, premettiamo che mi "diletto" con Linux da pochissimo, dunque mi attengo piuttosto alla lettera alle varie istruzioni che trovo nei file di istruzioni (cos'altro potrei fare, in realta'?).
inoltre, su Synaptic non c'e' traccia di tale versione di Inkscape.

Guglie
22-08-2005, 16:41
non so dirti se c' o meno nei repository di ubuntu, ma imho una versione ci sar..

facendo una rapida ricerca su apt-get.org trovo quella versione per debian, quindi al max usa la versione per debian, che pur sempre meglio di installare con make install :)
http://www1.apt-get.org/search.php?query=inkscape&submit=&arch%5B%5D=i386&arch%5B%5D=all

edit: ti serve proprio la 0.42?

var
22-08-2005, 17:24
Originariamente inviato da Guglie
non so dirti se c' o meno nei repository di ubuntu, ma imho una versione ci sar..

facendo una rapida ricerca su apt-get.org trovo quella versione per debian, quindi al max usa la versione per debian, che pur sempre meglio di installare con make install :)
http://www1.apt-get.org/search.php?query=inkscape&submit=&arch%5B%5D=i386&arch%5B%5D=all

edit: ti serve proprio la 0.42?

ti ringrazio Guglie, ma ho risolto utilizzando il file autopackage disponibile fra i file di installazione di Inkscape.

grazie davvero, disponibile come sempre. :)

Loading